/*

------------------------------------------------------------------------------

A license is hereby granted to reproduce this software source code and
to create executable versions from this source code for personal,
non-commercial use.  The copyright notice included with the software
must be maintained in all copies produced.

THIS PROGRAM IS PROVIDED "AS IS". THE AUTHOR PROVIDES NO WARRANTIES
WHATSOEVER, EXPRESSED OR IMPLIED, INCLUDING WARRANTIES OF
MERCHANTABILITY, TITLE, OR FITNESS FOR ANY PARTICULAR PURPOSE.  THE
AUTHOR DOES NOT WARRANT THAT USE OF THIS PROGRAM DOES NOT INFRINGE THE
INTELLECTUAL PROPERTY RIGHTS OF ANY THIRD PARTY IN ANY COUNTRY.

Copyright (c) 1995, 1996, 1997, 1998 John Conover, All Rights Reserved.

Comments and/or bug reports should be addressed to:

    john@johncon.com (John Conover)

------------------------------------------------------------------------------

version.c, version number of program

make the program version, as a character string, available to all
modules-this file should only be updated for major release versions

usage is a call to a print statement, for example:

    (void) printf ("%s\n",version);

To test this module, compile the module source with -DTEST_VERSION

$Revision: 1.4 $
$Date: 1998/02/21 22:21:07 $
$Id: version.c,v 1.4 1998/02/21 22:21:07 john Exp $
$Log: version.c,v $
Revision 1.4  1998/02/21 22:21:07  john
Added soundex phonetic search to translit.c.

Revision 1.3  1996/09/13 13:47:23  john
Added handling of circularly linked directories and subdirectories in searchpath.c
Cosmetic changes to bmhsearch.c, postfix.c, rel.c, searchfile.c, translit.c, uppercase.c, version.c.

Revision 1.2  1996/02/08 02:54:34  john
Added hyphenation, backspace, and multiple whitespace capability.
Changes to files: uppercase.c translit.c searcfile.c rel.c and version.c-required for hyphenation, backspace, and multiple whitespace capability.

Revision 1.1  1995/12/24 00:04:23  john
Changes to files: Makefile, searchpath.c, searchfile.c, message.c, version.c-specifically to control program behavior under certain file system exceptions; specifics for the GNU gcc compiler, and ANSI C cosmetic formalities.

 * Revision 1.0  1995/04/22  05:13:18  john
 * Initial revision
 *

*/

#include "rel.h"

#ifndef LINT /* include rcsid only if not running lint */

static char rcsid[] = "$Id: version.c,v 1.4 1998/02/21 22:21:07 john Exp $"; /* module version */
static char rcsid_h[] = VERSION_H_ID; /* module include version */

#endif

char version[] = "$Revision: 1.4 $"; /* program version */

char copyright[] = "Copyright (c) 1995, 1996, 1997, 1998 John Conover, All Rights Reserved"; /* the copyright banner */

#ifdef TEST_VERSION

/*

simple exerciser for testing version[]; ignore the:

declared global, could be static
    version             version.c(xxx)

from lint

*/

#ifdef __STDC__

int main (void)

#else

int main ()

#endif

{
    (void) printf ("%s\n", version); /* print the version */
    (void) printf ("%s\n", copyright); /* print the copyright */
    exit (0); /* exit with no errors */

#ifdef LINT /* include only if running lint */

    return (0); /* for LINT formality */

#endif

}

#endif
